%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

%define expopt 1

Summary:	LAME Ain't an MP3 Encoder
Name:		lame
Version:	3.100
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		http://lame.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/lame/%{name}-%{version}.tar.gz
Patch0:		lame-3.99.5-msse.patch
BuildRequires:	autoconf2.5
BuildRequires:	pkgconfig(gtk+)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xi)
%ifarch %{ix86}
BuildRequires:	nasm
%endif

%description
Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an
mp3 stream or even being compiled by itself. But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

%files
%doc README TODO USAGE html/
%{_bindir}/lame
%{_mandir}/man1/lame.1*

#----------------------------------------------------------------------------

%package mp3x
Summary:	MP3x analyzer for LAME
Group:		Sound
Requires:	%{name} = %{EVRD}

%description mp3x
This is a graphical analyzer for lame.

%files mp3x
%doc README
%{_bindir}/mp3x

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%files -n %{libname}
%doc README
%{_libdir}/libmp3lame.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%files -n %{devname}
%doc STYLEGUIDE API ChangeLog
%{_includedir}/*
%{_libdir}/libmp3lame.so

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static library for developing programs based on libmp3lame
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}
Provides:	lib%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
This package contains the static library programmers will need to develop
applications which will use libmp3lame.

%files -n %{sdevname}
%{_libdir}/libmp3lame.a

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
ln -s acm ACM
cp -r doc/html .
#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%{expopt}
export CFLAGS="`echo %{optflags} -msse -fgnu89-inline |sed s/-O[23]/-O1/`"
%else
export CFLAGS="%{optflags} -msse -fgnu89-inline"
%endif

export GTK_CONFIG=%{_bindir}/gtk-config

%configure2_5x \
%ifarch %{ix86}
	--enable-nasm \
%endif
%if %{expopt}
	--enable-expopt \
%endif
	--enable-mp3x

#gw parallel build does not work
#gw fix building with --no-undefined
make LIBS=-lm
make test

%install
mkdir -p %{buildroot}%{_bindir}
%makeinstall BINDIR=%{buildroot}%{_bindir}
#clean unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/lame


%changelog

* Wed Nov 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.100-1
- (932ab36) New version 3.100
- (932ab36) Drop obsolete configure options


